/*
 *   Copyright 2017-2020, Schlumberger
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */

package org.opengroup.osdu.notification.provider.gcp.config;

import lombok.Getter;
import lombok.Setter;
import org.opengroup.osdu.notification.provider.interfaces.IAppProperties;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "app")
@Getter
@Setter
public class AppProperties implements IAppProperties {

  private String entitlements;
  private String register;
  private String project;
  private int expireTime;
  private int maxCacheSize;

  public String getAuthorizeAPI() {
    return this.entitlements;
  }

  public String getRegisterAPI() {
    return this.register;
  }

  public String getPubSubServiceAccountEmail() {
    return String.format("de-notification-service@%s.iam.gserviceaccount.com", this.project);
  }
}
